## gnupg 1.4.16

=== debian/changelog ===
gnupg (1.4.16-1ubuntu2.6) trusty-security; urgency=medium

  * SECURITY UPDATE: full RSA key recovery via side-channel attack
    - debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-2.patch: use same computation for square
      and multiply in mpi/mpi-pow.c.
    - debian/patches/CVE-2017-7526-3.patch: fix allocation size for mpi_pow
    - debian/patches/CVE-2017-7526-4.patch: add exponent blinding in
      cipher/rsa.c.
    - debian/patches/CVE-2017-7526-5.patch: allow different build directory
    - CVE-2017-7526

 -- Alex Murray <alex.murray@canonical.com>  Mon, 06 Aug 2018 10:40:15 +0930

gnupg (1.4.16-1ubuntu2.5) trusty-security; urgency=medium

  * SECURITY UPDATE: missing sanitization of verbose output
    - debian/patches/CVE-2018-12020.patch: Sanitize diagnostic with
      the original file name.
    - CVE-2018-12020

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 08 Jun 2018 22:31:18 -0700

gnupg (1.4.16-1ubuntu2.4) trusty-security; urgency=medium

  * SECURITY UPDATE: random number generator prediction
    - debian/patches/CVE-2016-6313-1.patch: improve readability by using a
      macro in cipher/random.c.
    - debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
      csprng pool in cipher/random.c.
    - CVE-2016-6313

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2016 13:35:58 -0400

gnupg (1.4.16-1ubuntu2.3) trusty-security; urgency=medium

  * Screen responses from keyservers (LP: #1409117)
    - d/p/0001-Screen-keyserver-responses.patch
    - d/p/0002-Make-screening-of-keyserver-result-work-with-multi-k.patch
    - d/p/0003-Add-kbnode_t-for-easier-backporting.patch
    - d/p/0004-gpg-Fix-regression-due-to-the-keyserver-import-filte.patch
  * Fix large key size regression from CVE-2014-5270 changes (LP: #1371766)
    - d/p/Add-build-and-runtime-support-for-larger-RSA-key.patch
    - debian/rules: build with --enable-large-secmem
  * SECURITY UPDATE: sidechannel attack on Elgamal
    - debian/patches/CVE-2014-3591.patch: use ciphertext blinding in
      cipher/elgamal.c.
    - CVE-2014-3591
  * SECURITY UPDATE: sidechannel attack via timing variations in mpi_powm
    - debian/patches/CVE-2015-0837.patch: avoid timing variations in
      include/mpi.h, mpi/mpi-pow.c, mpi/mpiutil.c.
    - CVE-2015-0837
  * SECURITY UPDATE: invalid memory read via invalid keyring
    - debian/patches/CVE-2015-1606.patch: skip all packets not allowed in
      a keyring in g10/keyring.c.
    - CVE-2015-1606
  * SECURITY UPDATE: memcpy with overlapping ranges
    - debian/patches/CVE-2015-1607.patch: use inline functions to convert
      buffer data to scalars in g10/apdu.c, g10/app-openpgp.c,
      g10/build-packet.c, g10/ccid-driver.c, g10/getkey.c, g10/keygen.c,
      g10/keyid.c, g10/misc.c, g10/parse-packet.c, g10/tdbio.c,
      g10/trustdb.c, include/host2net.h.
    - CVE-2015-1607

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Mar 2015 08:22:48 -0400

gnupg (1.4.16-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via uncompressing garbled packets
    - debian/patches/CVE-2014-4617.patch: limit number of extra bytes in
      g10/compress.c.
    - CVE-2014-4617

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jun 2014 08:26:05 -0400

gnupg (1.4.16-1ubuntu2) trusty; urgency=medium

  * Add patch init_trustdb.patch (Closes: #737128)

 -- Brian Murray <brian@ubuntu.com>  Thu, 06 Mar 2014 07:53:11 -0800

gnupg (1.4.16-1ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.
    - Build using dh-autoreconf
    - Disable inline assembler for ppc64el.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Jan 2014 13:05:47 -0500

gnupg (1.4.16-1) unstable; urgency=medium

  * New upstream release.
    - Obsoletes patches CVE-2013-4576 and revert_trustdb_changes.
    - Fixes build failure on mips64 (closes: #719053).
  * Update debian/copyright: copyright no longer assigned to FSF.
  * Add udev rule for SCM331-LC1 / SCR3310 (LP: #1076987).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 07 Jan 2014 09:40:14 +0100

gnupg (1.4.15-2ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.
    - Build using dh-autoreconf
    - Disable inline assembler for ppc64el.
  * Moved CVE-2013-4576 patch to the right directory, and added to series
    file so it actually gets applied.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Dec 2013 08:17:09 -0500

gnupg (1.4.15-1.1ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf
  * Disable inline assembler for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 10:39:38 +0100

gnupg (1.4.15-1.1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.
  * Dropped upstreamed patches:
    - debian/patches/CVE-2013-4351.patch
    - debian/patches/CVE-2013-4402.patch


