## gnupg 1.4.18

=== debian/changelog ===
gnupg (1.4.18-7+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * gpg: Sanitize diagnostic with the original file name (CVE-2018-12020)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Jun 2018 21:55:06 +0200

gnupg (1.4.18-7+deb8u4) jessie-security; urgency=high

  * Backport fixes for CVE-2017-7526 from STABLE-BRANCH-1-4 branch

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Aug 2017 08:08:14 +0200

gnupg (1.4.18-7+deb8u3) jessie; urgency=medium

  * Non-maintainer with maintainers approval.
  * gpgv: Tweak default options for extra security
  * g10: Fix checking key for signature validation

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Aug 2016 07:13:19 +0200

gnupg (1.4.18-7+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * cipher: Improve readability by using a macro
  * random: Hash continuous areas in the csprng pool (CVE-2016-6313)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 Aug 2016 21:36:04 +0200

gnupg (1.4.18-7+deb8u1) stable; urgency=medium

  [ Jonathan McDowell ]
  * Import upstream bugfix for handling unknown subkey types (Closes: #787046)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 27 Oct 2015 15:39:42 -0400

gnupg (1.4.18-7) unstable; urgency=medium

  * import a series of DoS and vulnerabilities from upstream, including
    CVE-2014-3591

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Mar 2015 19:29:26 +0100

gnupg (1.4.18-6) unstable; urgency=medium

  * revert to debhelper 7
  * simplify upstream doc synchronization.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Dec 2014 15:50:59 -0500

gnupg (1.4.18-5) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * move to debhelper 9
  * add build and runtime support for larger RSA keys (Closes: #739424)
  * fix runtime errors on bad input (Closes: #771987)
  * deprecate insecure one-argument variant for gpg --verify of detached
    signatures (Closes: #771992)
  * sync documentation with upstream.
  * Standards-Version: bump to 3.9.6 (no changes needed).

  [ David Prévot ]
  * Update POT and PO files, and ensure the translations get rebuild
  * Update French translation (Closes: #769571)
  * Update Danish Translation, thanks to Joe Hansen
  * Update Ukrainian translation, thanks to Yuri Chornoivan
  * Update Russian translation, thanks to Ineiev
  * Update Chinese (traditional) translation, thanks to Jedi Lin
  * Update Italian translation, thanks to Milo Casagrande
  * Update Polish translation, thanks to Jakub Bogusz
  * Update Spanish translation, thanks to Manuel "Venturi" Porras Peralta
    (Closes: #770726)
  * Update Dutch translation, thanks to Frans Spiesschaert (Closes: #770816)
  * Update Czech translation, thanks to Roman Pavlik

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Dec 2014 01:11:22 -0500

gnupg (1.4.18-4) unstable; urgency=medium

  * Remove Daniel Leidert from Uploaders at his request.
  * fix typo in gpg.info (closes: #760288)
  * Fix regression in keyserver filter (closes: #760392)
  * added myself to uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Sep 2014 09:51:13 -0400

gnupg (1.4.18-3) unstable; urgency=medium

  [ Eric Dorland ]
  * debian/gbp.conf: Add git-buildpackage config and use pristine-tar.
  * debian/control: Switch to git for VCS.
  * debian/control: Add Eric Dorland to Uploaders.
  * Run wrap-and-sort over the debian files.
  
  [ Daniel Kahn Gillmor ]
  * check signatures on upstream tarballs (closes: #711744).

  [ Thijs Kinkhorst ]
  * Document possible license of doc/OpenPGP (closes: #745408). 

 -- Eric Dorland <eric@debian.org>  Tue, 02 Sep 2014 00:04:20 -0400

gnupg (1.4.18-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix gpgv-udeb by adding --enable-sha256, which is needed to validate
    Release files. (Closes: 753985).
  * Run the check target in the udeb build directory.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 07 Jul 2014 19:55:02 +0200

gnupg (1.4.18-1) unstable; urgency=medium

  * New upstream release.
    - Drops obsolete Russian manpage (closes: #737033).
  * Add parcimonie to Suggests (closes: #752260).
  * Build udebs with --enable-minimal.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 30 Jun 2014 21:55:10 +0200

gnupg (1.4.16-1.2) unstable; urgency=high

  * Non-maintainer upload with maintainers approval.
  * CVE-2014-4617: Avoid DoS due to garbled compressed data packets.
    Apply upstream commit to stop a possible DoS using garbled compressed
    data packets which can be used to put gpg into an infinite loop.
    (Closes: #752497)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Jun 2014 17:02:35 +0200

gnupg (1.4.16-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Initialize trustdb before clearing it (Closes: #735363)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 20 Jan 2014 22:16:55 -0500
