=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: gnupg
 Section: utils
 Priority: important
-Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Eric Dorland <eric@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
            Thijs Kinkhorst <thijs@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>> 7),
+Build-Depends: debhelper (>> 9),
+               dh-autoreconf,
                file,
-               gettext,
+               gettext (>= 0.19.3),
                libbz2-dev,
                libcurl4-gnutls-dev,
                libldap2-dev,
                libreadline-dev,
                libusb-dev [!hurd-i386],
                libz-dev
-Build-Depends-Indep: mingw-w64
-Homepage: http://www.gnupg.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnupg/gnupg.git
+XS-Testsuite: autopkgtest
+Homepage: https://www.gnupg.org
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-gnupg/gnupg.git
 Vcs-Git: git://anonscm.debian.org/pkg-gnupg/gnupg.git
 
 Package: gnupg
 Architecture: any
 Multi-Arch: foreign
 Depends: gpgv, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gnupg-curl, ${shlibs:Recommends}
-Suggests: gnupg-doc, libpcsclite1, parcimonie, xloadimage | imagemagick | eog
+Suggests: ${shlibs:Suggests}, gnupg-curl, gnupg-doc, libpcsclite1, parcimonie, xloadimage | imagemagick | eog
 Description: GNU privacy guard - a free PGP replacement
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -46,7 +47,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: foreign
-Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}, ${shlibs:Recommends}
+Depends: gnupg, ${misc:Depends}, ${shlibs:Depends}, ${shlibs:Suggests}
 Description: GNU privacy guard - a free PGP replacement (cURL)
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -70,20 +71,6 @@
  different (and simpler) way to check that the public keys used to
  make the signature are trustworthy.
 
-Package: gnupg-udeb
-Package-Type: udeb
-Section: debian-installer
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: GNU privacy guard - a free PGP replacement
- GnuPG is GNU's tool for secure communication and data storage.
- It can be used to encrypt data and to create digital signatures.
- It includes an advanced key management facility and is compliant
- with the proposed OpenPGP Internet standard as described in RFC 4880.
- .
- This is GnuPG packaged in minimal form for use in debian-installer.
-
 Package: gpgv-udeb
 Package-Type: udeb
 Section: debian-installer
@@ -99,18 +86,14 @@
  This is GnuPG's signature verification tool, gpgv, packaged in minimal
  form for use in debian-installer.
 
-Package: gpgv-win32
-Architecture: all
+Package: gnupg-dbg
+Architecture: any
+Section: debug
 Priority: extra
-Depends: ${misc:Depends}
-Suggests: wine
-Description: GNU privacy guard - signature verification tool (win32 build)
+Depends: gnupg (= ${binary:Version}) | gnupg-curl (= ${binary:Version}) | gpgv (= ${binary:Version}),
+         ${misc:Depends}
+Description: debugging symbols for gnupg
  GnuPG is GNU's tool for secure communication and data storage.
  .
- gpgv is a stripped-down version of gnupg which is only able to check
- signatures.  It is smaller than the full-blown gnupg and uses a
- different (and simpler) way to check that the public keys used to
- make the signature are trustworthy.
- .
- This is a win32 version of gpgv.  It's meant to be used by the win32-loader
- component of Debian-Installer.
+ This package contains the debugging symbols for gnupg, gpgv, and
+ gnupg-curl.
