=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
             --enable-noexecstack
 
 CONFARGS_FULL    = --enable-mailto --with-mailprog=/usr/sbin/sendmail --enable-large-secmem
-CONFARGS_MINIMAL = --enable-minimal --enable-rsa --disable-nls --disable-regex --disable-gnupg-iconv --disable-gettext --without-iconv --without-readline --without-zlib --enable-sha256
+CONFARGS_MINIMAL = --enable-minimal --enable-rsa --disable-nls --disable-regex --disable-gnupg-iconv --disable-gettext --without-iconv --without-readline --without-zlib --enable-sha256 --enable-sha512
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 HOSTARG += --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-ifeq ($(DEB_BUILD_ARCH),ppc64)
+ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64 ppc64el))
 CONFARGS += --disable-asm
 endif
 
@@ -40,25 +40,31 @@
 
 ################################### configure ################################
 
-build-deb/config.status:
+auto-stamp:
+	dh_testdir
+	dh_autoreconf
+	touch $@
+
+build-deb/config.status: auto-stamp
 	dh_testdir
 	(mkdir -p $(@D); cd $(@D); \
 	    ../configure LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" CFLAGS="$(CFLAGS_DEF)" $(CONFARGS) $(CONFARGS_FULL) $(HOSTARG) --without-libcurl)
 
-build-deb-curl/config.status:
+build-deb-curl/config.status: auto-stamp
 	dh_testdir
 	(mkdir -p $(@D); cd $(@D); \
 	    ../configure LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" CFLAGS="$(CFLAGS_DEF)" $(CONFARGS) $(CONFARGS_FULL) $(HOSTARG))
 
-build-udeb/config.status:
+build-udeb/config.status: auto-stamp
 	dh_testdir
 	(mkdir -p $(@D); cd $(@D); CFLAGS="-g -Os" \
 	    ../configure $(CONFARGS) $(CONFARGS_MINIMAL) $(HOSTARG) )
 
-build-win32/config.status:
+build-win32/config.status: auto-stamp
 	dh_testdir
 	(mkdir -p $(@D); cd $(@D); CFLAGS="-g -Os" \
-	    ../configure $(CONFARGS) $(CONFARGS_MINIMAL) --host i686-w64-mingw32 )
+	LDFLAGS="-Xlinker --no-insert-timestamp" \
+	    ../configure $(CONFARGS) $(CONFARGS_MINIMAL) --build $(DEB_BUILD_GNU_TYPE) --host i686-w64-mingw32 )
 
 ##################################### build ##################################
 
@@ -93,7 +99,7 @@
 
 build: build-arch
 build-arch: build-deb-stamp build-deb-curl-stamp build-udeb-stamp
-build-indep: build-win32-stamp
+build-indep:
 
 ##################################### clean ##################################
 
@@ -102,6 +108,7 @@
 	dh_testroot
 	rm -rf build-udeb/ build-deb-curl/ build-deb/ build-win32/
 	# find . -name \*~ | xargs rm -vf
+	dh_autoreconf_clean
 	dh_clean build-deb-stamp build-deb-curl-stamp build-udeb-stamp build-win32-stamp
 
 #################################### install #################################
@@ -130,7 +137,7 @@
 	dh_installdocs -i
 	dh_install -i
 	dh_link -i
-	dh_strip -i
+	dh_strip -i --dbg-package gnupg-dbg
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
@@ -151,7 +158,7 @@
 	dh_installudev -a
 	if which dh_bugfiles ; then dh_bugfiles -a ; fi
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --dbg-package gnupg-dbg
 	dh_compress -a
 	dh_fixperms -a
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
