=== debian/tests/control ===
Tests: gpgv-win32
Depends: gpgv-win32, wine, wine32, gpg
